{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":583,"path":"api-reference/rest-apis/wsd_search-api.md","title":"WSD Search API","bundle":null,"doc_type":null,"release":"australia","body":"\n# WSD Search API\n\nThe Workplace Service Delivery \\(WSD\\) Search API provides endpoints to search for available locations and workplace items such as reservables, reservable modules, and available shifts.\n\nTo access this API, the caller must have the sn\\_wsd\\_core.workplace\\_user role and the Workplace Safety Management \\(sn\\_wsd\\_core\\) and Workplace Reservation Management \\(sn\\_wsd\\_rsv\\) plugins must be activated.\n\nThis API runs in the `sn_wsd_rsv` namespace.\n\nFor additional information on Workplace Reservation Management, see [Workplace Reservation Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/workplace-rsv-mgmt-feat.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## WSD Search - GET /api/sn\\_wsd\\_rsv/search/availability\n\nChecks whether the specified reservables are available for the specified times.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/search/availability`\n\nDefault URL: `/api/sn_wsd_rsv/search/availability`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nend\n\n</td><td id=\"end-query-reserv-entry\">\n\nRequired. End time to use to search for available reservable modules. This value must be later than the value specified in the **start** parameter.Data type: String\n\nFormat: UTC or local time \\(yyyy-mm-dd hh:mm:ss\\)\n\n</td></tr><tr><td>\n\ninclude\\_reservations\\_within\\_days\n\n</td><td id=\"include_reservations_within_days-reserv-entry\">\n\nFlag that indicates whether to return all free slots of available times in the response for each reservable for the whole day.Valid values:\n\n-   true: Return all free slots.\n-   false: Don't return all free slots.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nreservable\\_ids\n\n</td><td>\n\nRequired. Comma-separated list of reservable sys\\_ids to evaluate for availability.Data type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nreservation\\_ids\n\n</td><td id=\"reservation_ids-reserv-entry\">\n\nComma-separated list of existing reservation sys\\_ids. Pass this parameter if you want to edit the associated reservations.The time blocked for these sys\\_ids for the corresponding reservables are treated as available.\n\nData type: String\n\nDefault: None\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nreservable\\_module\n\n</td><td id=\"reservable_module-reserv-entry\">\n\nRequired. Sys\\_id of the reservable module to include in the search. A [reservable module](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/config-reservable-module.md) groups similar types of workplace items.Data type: String\n\nTable: Reservable Module \\[sn\\_wsd\\_rsv\\_reservable\\_module\\]\n\n</td></tr><tr><td>\n\nschedule\\_view\\_obj\n\n</td><td id=\"schedule_view_obj-reserv-entry\">\n\nDetails about the schedule view to return. Pass this object if you need 24-hour availability data for reservations that span more than one day. The return results will only contain available times and reservations for the specified date.For this functionality to work properly, the parameters **ignore\\_same\\_day\\_validation** and **include\\_reservations\\_within\\_days** must be set to `true`.\n\nData type: Object\n\n```\n\"schedule_view_obj\": {\n  \"schedule_view_date\": \"String\",\n  \"timezone\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nschedule\\_view\\_obj.schedule\\_view\\_date\n\n</td><td id=\"schedule_view_obj-schedule_view_date-reserv-entry\">\n\nDate for which to start returning reservation availability. This date must be in the time zone specified in the **schedule\\_view\\_obj.timezone** parameter.Data type: String\n\nFormat: YYYY-MM-DD\n\n</td></tr><tr><td>\n\nschedule\\_view\\_obj.timezone\n\n</td><td id=\"schedule_view_obj-timezone-entry\">\n\nBuilding time zone to use to determine the reservation availability data to return. For example: US/Pacific.Data type: String\n\n</td></tr><tr><td>\n\nshift\n\n</td><td>\n\nRequired if the specified reservable modules are based on a shift. Sys\\_id of the shift to associate with the reservation. If this parameter is passed in, the **end** parameter isn't required.\n\nFor additional information on shift-based reservations, see [Enable shift-based reservation](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/wsd-reservation-setup.md).\n\nData type: String\n\nTable: Shift \\[sn\\_wsd\\_core\\_shift\\]\n\n</td></tr><tr><td>\n\nstart\n\n</td><td id=\"start-query-reserv-entry\">\n\nRequired. Start time to use to search for available reservable modules. This value must be prior to the value specified in the **end** parameter.Data type: String\n\nFormat: UTC or local time \\(yyyy-mm-dd hh:mm:ss\\)\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-reserv-entry\">\n\nData format of the request body. Supported types: **application/json**, **application/xml** or, **text/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nList of all available resevables for the specified times.Data type: Array of Objects\n\n ```\n\"result\": [\n  {\n    \"availableTimes\": [Array],\n    \"building\": {Object},\n    \"campus\": {Object},\n    \"email\": \"String\",\n    \"floor\": {Object},\n    \"is_available\": Boolean,\n    \"name\": \"String\",\n    \"reservations\": [Array],\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.availableTimes\n\n</td><td>\n\nList of dates/times that the associated reservable is available.Data type: Array\n\n</td></tr><tr><td>\n\nresult.building\n\n</td><td>\n\nDetails about the building associated with the reservable.Data type: Object\n\n ```\n\"building\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.building.display\\_value\n\n</td><td>\n\nDisplay value for the building.Data type: String\n\n</td></tr><tr><td>\n\nresult.building.name\n\n</td><td>\n\nName of the building.Data type: String\n\n</td></tr><tr><td>\n\nresult.building.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated building record.Data type: String\n\n</td></tr><tr><td>\n\nresult.campus\n\n</td><td>\n\nDetails about the campus associated with the reservable.Data type: Object\n\n ```\n\"campus\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.campus.display\\_value\n\n</td><td>\n\nDisplay number of the Campus on which the reservable resides, such as East Bay.Data type: String\n\n</td></tr><tr><td>\n\nresult.campus.name\n\n</td><td>\n\nName of the campus.Data type: String\n\n</td></tr><tr><td>\n\nresult.campus.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Campus \\[sn\\_wsd\\_core\\_campus\\]\n\n</td></tr><tr><td>\n\nresult.email\n\n</td><td>\n\nEmail address for the associated reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.floor\n\n</td><td>\n\nDetails about the floor associated with the reservable.Data type: Object\n\n ```\n\"floor\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.floor.display\\_value\n\n</td><td>\n\nDisplay number of the floor on which the reservable resides, such as 12.Data type: String\n\n</td></tr><tr><td>\n\nresult.floor.name\n\n</td><td>\n\nName of the floor on which the reservable resides.Data type: String\n\n</td></tr><tr><td>\n\nresult.floor.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.is\\_available\n\n</td><td>\n\nFlag that indicates whether the reservable is available to reserve.Valid values:\n\n-   true: Available to reserve.\n-   false: Not available to reserve.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.name\n\n</td><td>\n\nName of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservations\n\n</td><td>\n\nDetails about the associated reservation.Data type: Array of Objects\n\n ```\n\"reservations\": [\n  {\n    \"configuration_item\": \"String\",\n    \"end\": \"String\",\n    \"is_collided\": Boolean,\n    \"location\": {Object},\n    \"number\": \"String\",\n    \"requested_for\": {Object},\n    \"reservation_purpose\": {Object},\n    \"start\": \"String\",\n    \"state\": {Object},\n    \"subject\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.reservations.configuration\\_item\n\n</td><td>\n\nConfiguration items corresponding to the reservation.Data type: String\n\nTable: Configuration Item \\[cmdb\\_ci\\]\n\n</td></tr><tr><td>\n\nresult.reservations.end\n\n</td><td>\n\nReservation end date and time.Data type: String\n\nFormat: UTC: yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z\n\n</td></tr><tr><td>\n\nresult.reservations.is\\_collided\n\n</td><td>\n\nFlag that indicates whether the reservation collides with the start and end time of the search.This indicates that the associated reservable location is already reserved for the specified search timespan.\n\nPossible values:\n\n-   true: Collision.\n-   false: No collision.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservations.location\n\n</td><td>\n\nDetails about the location of the reservation.Data type: Object\n\n ```\n\"location\": {\n  \"location\": \"String\",\n  \"timezone\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservations.location.location\n\n</td><td>\n\nSys\\_id of the associated location record.Data type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nresult.reservations.location.timezone\n\n</td><td>\n\nDetails about the time zone associated with the location.Data type: Object\n\n```\n\"timezone\": {\n  \"displayValue\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservations.location.timezone.​displayValue\n\n</td><td>\n\nDisplay value for the time zone to which this location belongs.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservations.location.timezone.value\n\n</td><td>\n\nInternal value for the time zone to which this location belongs.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservations.number\n\n</td><td>\n\nReservation number.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservations.requested\\_for\n\n</td><td>\n\nDetails about the person for whom the reservation was requested on behalf of.Data type: Object\n\n```\n\"requested_for\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservations.requested\\_for.name\n\n</td><td>\n\nName of the user for whom the reservation was requested for.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservations.requested\\_for.sys\\_id\n\n</td><td>\n\nSys\\_id of the user for whom the reservation is being requested.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nresult.reservations.reservation\\_purpose\n\n</td><td>\n\nDetails about the purpose of the reservation.Data type: Object\n\n```\n\"reservation_purpose\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservations.reservation\\_purpose.​display\\_value\n\n</td><td>\n\nDisplay value for the purpose of the reservation, such as Company meeting.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservations.reservation\\_purpose.value\n\n</td><td>\n\nInternal value for the purpose of the reservation, such as company\\_meeting.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservations.start\n\n</td><td>\n\nReservation start date and time.Data type: String\n\nFormat: UTC - yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z\n\n</td></tr><tr><td>\n\nresult.reservations.state\n\n</td><td>\n\nDetails about the state of the reservation for the location.Data type: Object\n\n```\n\"state\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservations.state.display\\_value\n\n</td><td>\n\nDisplay value for the current state of the reservation, such as confirmed.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservations.state.value\n\n</td><td>\n\nInternal value for the current state of the reservation, such as 2.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservations.subject\n\n</td><td>\n\nReservation's subject.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservations.sys\\_id\n\n</td><td>\n\nRequired. Sys\\_id of the reservation record.\n\nData type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to call this endpoint. Note: Line breaks have been added to the query parameters for easier reading.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_wsd_rsv/search/availability?\nreservable_module=5db44502dbb650106c731dcd13961937&\nstart=2023-10-12T11:00:00Z&\nend=2023-10-15T12:00:00Z&\nreservable_ids=adb35f1977220110b3d7be377b5a99fc&\nreservation_ids=undefined&\nshift=undefined&\nschedule_view_obj={\"schedule_view_date\":\"2023-10-12\",\"timezone\":\"Europe/Paris\"}&\ntimezone=Europe/Paris&\ninclude_reservations_within_days=true&\nignore_same_day_validation=true&\ninclude_unavailable_items=true\"  \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\nReturn results:\n\n```\n{\n  \"result\": [\n    {\n      \"sys_id\": \"fe1f744edb7650106c731dcd139619ca\",\n      \"email\": null,\n      \"name\": \"Aspen\",\n      \"is_available\": true,\n      \"availableTimes\": [\n        [\n          \"2022-04-23 07:00:00\",\n          \"2022-04-23 08:30:00\"\n        ],\n        [\n          \"2022-04-23 09:30:00\",\n          \"2022-04-23 23:00:00\"\n        ],\n        [\n          \"2022-04-24 00:00:00\",\n          \"2022-04-24 06:59:59\"\n        ]\n      ],\n      \"floor\": {\n        \"sys_id\": \"2f554296dbba10106c731dcd139619ed\",\n        \"display_value\": \"Floor 2\",\n        \"name\": \"Floor 2\"\n      },\n      \"building\": {\n        \"sys_id\": \"94e264cedb3650106c731dcd13961919\",\n        \"display_value\": \"CAL-B1\",\n        \"name\": \"CAL-B1\"\n      },\n      \"campus\": {\n        \"sys_id\": \"82b2a0cedb3650106c731dcd139619e9\",\n        \"display_value\": \"California Campus\",\n        \"name\": \"California Campus\"\n      },\n      \"reservations\": [\n        {\n          \"sys_id\": \"5fe65830874bc9106342b846dabb352b\",\n          \"number\": \"WRES0001001\",\n          \"location\": {\n            \"location\": \"fe1f744edb7650106c731dcd139619ca\",\n            \"timezone\": {\n              \"value\": \"US/Pacific\",\n              \"displayValue\": \"US/Pacific\"\n            }\n          },\n          \"configuration_item\": null,\n          \"start\": \"2022-04-23T08:30:00Z\",\n          \"end\": \"2022-04-23T09:30:00Z\",\n          \"subject\": null,\n          \"reservation_purpose\": {\n            \"value\": \"meeting\",\n            \"display_value\": \"Meeting\"\n          },\n          \"state\": {\n            \"value\": \"confirmed\",\n            \"display_value\": \"Confirmed\"\n          },\n          \"is_collided\": false,\n          \"requested_for\": {\n            \"sys_id\": \"2de07e1887cb89106342b846dabb35fe\",\n            \"name\": \"Workplace User\"\n          }\n        }\n      ]\n    }\n  ]\n}\n```\n\n## WSD Search - GET /api/sn\\_wsd\\_rsv/search/best\\_match\n\nSearches for the best reservable item match based on provided search criteria.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/search/best_match`\n\nDefault URL: `/api/sn_wsd_rsv/search/best_match`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nbest\\_match\\_count\n\n</td><td>\n\nNumber of best matched reservables to return. Data type: Number\n\nDefault: 1\n\n</td></tr><tr><td>\n\nend\n\n</td><td id=\"end-query-reserv-entry\">\n\nRequired. End time to use to search for available reservable modules. This value must be later than the value specified in the **start** parameter.Data type: String\n\nFormat: UTC or local time \\(yyyy-mm-dd hh:mm:ss\\)\n\n</td></tr><tr><td>\n\ninclude\\_reservable\\_purposes\n\n</td><td id=\"include_reservable_purposes-reserv-entry\">\n\nFlag that indicates whether to return the purpose of reserving the workplace location for each reservable in the return results.Valid values:\n\n-   true: Return the reservable purposes.\n-   false: Don't return the reservable purposes.\n\nData type: Boolean\n\nDefault: false\n\nTable: Reservable Purpose \\[sn\\_wsd\\_rsv\\_reservable\\_purpose\\]\n\n</td></tr><tr><td>\n\ninclude\\_reservations\\_within\\_days\n\n</td><td id=\"include_reservations_within_days-reserv-entry\">\n\nFlag that indicates whether to return all free slots of available times in the response for each reservable for the whole day.Valid values:\n\n-   true: Return all free slots.\n-   false: Don't return all free slots.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ninclude\\_standard\\_​services\n\n</td><td id=\"include_standard_services-reserv-entry\">\n\nFlag that indicates whether to return the standard services information in the response. This information is located in the Standard Service \\[sn\\_wsd\\_rsv\\_standard\\_service\\] table.A standard service describes basic provisions available with a reservable workplace item when the reservation is made, such as white boards, additional monitors, and similar services. For additional information on standard services, see [Standard services](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/standard-service.md).\n\nValid values:\n\n-   true: Return the standard services information.\n-   false: Don't return the standard services information.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nq\n\n</td><td id=\"q-reserv-entry\">\n\nRequired. Encoded query to use to filter the search return results. Within this query you must specify the building sys\\_id and you can specify parameters such as floor, area, capacity, standard services, and reservable\\_purposes.All passed parameters must be sys\\_ids, except for capacity, which is a number.\n\nFor example: `q=building=94e264cedb3650106c731dcd13961919​^floorINfc7368cedb3650106c731dcd13961902​^capacity>=1​^standard_services=55c0818edb7650106c731dcd13961904​^reservable_purposes=d6e5c7cd1ba4e01051848489cc4bcb81`\n\nYou can locate this information in the following tables:\n\n-   Area: sn\\_wsd\\_core\\_area\n-   Building: sn\\_wsd\\_core\\_building\n-   Floor: sn\\_wsd\\_core\\_floor\n-   Reservable purposes: sn\\_wsd\\_rsv\\_reservable\\_purpose\n-   Standard services: sn\\_wsd\\_rsv\\_standard\\_service\n\nData type: String\n\n</td></tr><tr><td>\n\nreservable\\_module\n\n</td><td id=\"reservable_module-reserv-entry\">\n\nRequired. Sys\\_id of the reservable module to include in the search. A [reservable module](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/config-reservable-module.md) groups similar types of workplace items.Data type: String\n\nTable: Reservable Module \\[sn\\_wsd\\_rsv\\_reservable\\_module\\]\n\n</td></tr><tr><td>\n\nstart\n\n</td><td id=\"start-query-reserv-entry\">\n\nRequired. Start time to use to search for available reservable modules. This value must be prior to the value specified in the **end** parameter.Data type: String\n\nFormat: UTC or local time \\(yyyy-mm-dd hh:mm:ss\\)\n\n</td></tr><tr><td>\n\ntime\\_slot\n\n</td><td>\n\nSys\\_id of a time slot record for which we are trying to look for the best matching reservable.Data type: String\n\nDefault: None\n\nTable: Time Slot \\[sn\\_wsd\\_rsv\\_time\\_slot\\]\n\n</td></tr><tr><td>\n\ntimezone\n\n</td><td id=\"timezone_q_parm-reserv-query\">\n\nPreferred time zone, such as Europe/Amsterdam.Data type: String\n\nDefault: None\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nReturn results for the best reservable match.Data type: Object\n\n```\n\"result\": { \n  \"floorsOfSelectedBuilding\": [Array],\n  \"hasMore\": Boolean,\n  \"nextItemIndex\": Number,\n  \"reservableContainers\": [Array],\n  \"reservableUnits\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nresult.floorsOfSelectedBuilding\n\n</td><td>\n\nDetails about the floors on which the reservable is located.Data type: Array of Objects\n\n```\n\"floorsOfSelectedBuilding\": [\n  {\n    \"display_value\": \"String\",\n    \"external_id\": \"String\",\n    \"name\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.floorsOfSelectedBuilding.display\\_value\n\n</td><td>\n\nDisplay number of the floor on which the reservable resides, such as 12.Data type: String\n\n</td></tr><tr><td>\n\nresult.floorsOfSelectedBuilding.external\\_id\n\n</td><td>\n\nExternal identifier for the floor.Data type: String\n\n</td></tr><tr><td>\n\nresult.floorsOfSelectedBuilding.name\n\n</td><td>\n\nName of the floor on which the reservable resides.Data type: String\n\n</td></tr><tr><td>\n\nresult.floorsOfSelectedBuilding.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.hasMore\n\n</td><td id=\"hasMore-reserv-entry\">\n\nFlag that indicates whether there are more reservables in the return results.Possible values:\n\n-   true: More reservables available.\n-   false: No more reservables available.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.nextItemIndex\n\n</td><td id=\"nextItemIndex-reserv-entry\">\n\nIndex for the next reservable record to fetch. Use this value when paginating through reservable records.Data type: Number\n\n</td></tr><tr><td>\n\nresult.reservableContainers\n\n</td><td id=\"reservableContainers-reserv-entry\">\n\nOnly returned for reservable modules whose selection\\_type field is set to `container`. A container is a grouping of similar items, such as a group of desks.Data type: Array of Objects\n\n```\n\"reservableContainers\": [\n  {\n    \"building\": {Object},\n    \"campus\": {Object},\n    \"capacity\": Number,\n    \"display_value\": \"String\",\n    \"floor\": {Object},\n    \"image\": {Object}\n    \"sys_id\": \"String\"\n  } \n]\n```\n\n</td></tr><tr><td>\n\nresult.reservableContainers.building\n\n</td><td id=\"reservableContainers_building-reserv-entry\">\n\nDetails about the building associated with the reservable container.Data type: Object\n\n```\n\"building\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservableContainers.building.​display\\_value\n\n</td><td>\n\nDisplay value for the building.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.building.name\n\n</td><td>\n\nName of the building.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.building.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated building record.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.campus\n\n</td><td id=\"reservableContainers_campus-reserv-entry\">\n\nDetails about the campus on which the reservable is located.\n\nData type: Object\n\n ```\n\"campus\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n Table: Campus \\[sn\\_wsd\\_core\\_campus\\]\n\n</td></tr><tr><td>\n\nresult.reservableContainers.campus.​display\\_value\n\n</td><td>\n\nDisplay number of the Campus on which the reservable resides, such as East Bay.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.campus.name\n\n</td><td>\n\nName of the campus.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.campus.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Campus \\[sn\\_wsd\\_core\\_campus\\]\n\n</td></tr><tr><td>\n\nresult.reservableContainers.capacity\n\n</td><td id=\"reservableContainers_capacity-reserv-entry\">\n\nMaximum number of occupants for the reservable.Data type: Number\n\n</td></tr><tr><td>\n\nresult.reservableContainers.display\\_value\n\n</td><td id=\"reservableContainers_display_value-reserv-entry\">\n\nDisplay value for the reservable container.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.floor\n\n</td><td id=\"reservableContainers_floor-reserv-entry\">\n\nDetails about the floor associated with the reservable container.Data type: Object\n\n```\n\"floor\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservableContainers.floor.​display\\_value\n\n</td><td>\n\nDisplay number of the floor on which the reservable resides, such as 12.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.floor.name\n\n</td><td>\n\nName of the floor on which the reservable resides.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.floor.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.reservableContainers.image\n\n</td><td>\n\nDetails about an image that represents the layout for the associated reservable.Data type: Object\n\n```\n\"image\": {\n  \"link\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.reservableContainers.image.link\n\n</td><td>\n\nLink to an image that represents the layout for this reservable.Data type: String\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.reservableContainers.image.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated image record.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.sys\\_id\n\n</td><td id=\"reservableContainers_sys_id-reserv-container\">\n\nSys\\_id of the associated container record.Data type: String\n\nTable: The table in which this resides can be configured for any container type. By default it is in the Area \\[sn\\_wsd\\_core\\_area\\] table.\n\n</td></tr><tr><td>\n\nresult.reservableUnits\n\n</td><td id=\"reservableUnit-reserv-entry\">\n\nDetails about the reservable units that match the specified search criteria. A reservable unit is a single reservable item such as a desk or a chair.Data type: Array of Objects\n\n```\n\"reservableUnits\": [\n  {\n    \"area\": \"String\",\n    \"availableTimes\": [Array],\n    \"building\": {Object},\n    \"campus\": {Object},\n    \"capacity\": \"String\",\n    \"defaultPrivacyValue\": Boolean,\n    \"description\": \"String\",\n    \"email\": \"String\",\n    \"external_id\": \"String\",\n    \"floor\": {Object},\n    \"image\": {Object},\n    \"includedInResult\": Boolean,\n    \"is_available\": Boolean,\n    \"is_favorite\": Boolean,\n    \"is_reservable\": \"String\",\n    \"is_reserved\": Boolean,\n    \"is_selected\": Boolean,\n    \"location_type\": {Object},\n    \"name\": \"String\",\n    \"number\": \"String\",\n    \"order\": \"String\",\n    \"require_approval\": Boolean,\n    \"requires_check_in\": Boolean,\n    \"reservable_quantity\": \"String\",\n    \"showPrivacyOption\": Boolean,\n    \"site\": {Object},\n    \"standard_services\": [Array],\n    \"tableName\": \"String\",\n    \"title\": \"String\",\n    “reservable_purposes”: [Array],\n    \"reservations\": [Array],\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.reservableUnits.area\n\n</td><td id=\"reservableUnit_area-reserv-entry\">\n\nDetails about the area in which the reservable module is located.Data type: Object\n\n```\n\"area\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Area \\[sn\\_wsd\\_core\\_area\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.area.display\\_value\n\n</td><td id=\"reservableUnit_area_display_value-reserv-entry\">\n\nDisplay value for the reservable module area.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.area.sys\\_id\n\n</td><td id=\"reservableUnit_area_sys_id-reserv-entry\">\n\nSys\\_id of the area record associated with the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.availableTimes\n\n</td><td id=\"availableTimes-reserv-entry\">\n\nList of dates/times that the associated reservable is available.Data type: Array\n\n</td></tr><tr><td>\n\nresult.reservableUnits.building\n\n</td><td id=\"reservableUnit_building-reserv-entry\">\n\nDetails about the building in which the reservable is located.Data type: Object\n\n```\n\"building\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Building \\[sn\\_wsd\\_core\\_building\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.building.display\\_value\n\n</td><td>\n\nDisplay value for the building.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.building.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated building record.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.campus\n\n</td><td>\n\nDetails about the campus on which the reservable is located.\n\nData type: Object\n\n ```\n\"campus\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n Table: Campus \\[sn\\_wsd\\_core\\_campus\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.campus.display\\_value\n\n</td><td>\n\nDisplay number of the Campus on which the reservable resides, such as East Bay.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.campus.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Campus \\[sn\\_wsd\\_core\\_campus\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.capacity\n\n</td><td>\n\nMaximum number of occupants for the reservable.Data type: Number\n\n</td></tr><tr><td>\n\nresult.reservableUnits.defaultPrivacyValue\n\n</td><td>\n\nFlag that indicates the default privacy setting for the reservable.For additional information on these privacy settings, see [Location privacy settings and impact](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/location-privacy-settings-and-impact.md).\n\nPossible values:\n\n-   true: Privacy setting for the reservable can be overridden.\n-   false: Privacy setting for the reservable can't be overridden.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.description\n\n</td><td id=\"reservableUnit_description-reserv-entry\">\n\nBrief description of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.email\n\n</td><td id=\"reservableUnit_email-reserv-entry\">\n\nEmail address for the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.external\\_id\n\n</td><td id=\"reservableUnit_external_id-reserv-entry\">\n\nExternal ID of the reservable used to sync a space mapped in CMS. This value is only populated if there is a map associated with this location. Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.floor\n\n</td><td>\n\nDetails about the floor on which the reservable is located.\n\nData type: Object\n\n ```\n\"floor\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n Table: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.floor.display\\_value\n\n</td><td>\n\nDisplay number of the floor on which the reservable resides, such as 12.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.floor.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.image\n\n</td><td>\n\nDetails about an image that represents the layout for the associated reservable.Data type: Object\n\n```\n\"image\": {\n  \"link\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.image.link\n\n</td><td>\n\nLink to an image that represents the layout for this reservable.Data type: String\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.image.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated image record.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.includedInResult\n\n</td><td id=\"reservableUnit_includedInResult-reserv-entry\">\n\nFlag that indicates whether the current reservable is included in the return results.Valid values:\n\n-   true: Included in the return results.\n-   false: Not included in the return results.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.is\\_available\n\n</td><td id=\"is_available-reserv-entry\">\n\nFlag that indicates whether the reservable is available to reserve.Valid values:\n\n-   true: Available to reserve.\n-   false: Not available to reserve.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.is\\_favorite\n\n</td><td id=\"reservableUnit_is_favorite-reserv-entry\">\n\nFlag that indicates whether the reservable is flagged as one of the associated user's favorites.Valid values:\n\n-   true: Favorite.\n-   false: Not a favorite.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.is\\_reservable\n\n</td><td id=\"reservableUnit_is_reservable-reserv-entry\">\n\nFlag that indicates whether it's possible to reserve this reservable. **Note:** If the **include\\_unavailable\\_items** query parameter is set to true, unavailable locations are also returned. In this case, if a location is already reserved, then the **is\\_available** parameter is false, but **is\\_reservable** is true.\n\nValid values:\n\n-   true: Available to reserve.\n-   false: Not available to reserve.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.is\\_reserved\n\n</td><td id=\"reservableUnit_is_reserved-reserv-entry\">\n\nFlag that indicates whether the reservable is already reserved.Valid values:\n\n-   true: Available to reserve.\n-   false: Already reserved.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.is\\_selected\n\n</td><td id=\"reservableUnit_is_selected-reserv-entry\">\n\nFlag that indicates whether the reservable is already reserved.Valid values:\n\n-   true: Available to reserve.\n-   false: Already reserved.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.location\\_type\n\n</td><td id=\"reservableUnit_location_type-reserv-entry\">\n\nDetails about the type of location of the reservable, such as workplace/desk, cafe, or gym.Data type: Object\n\n```\n\"location_type\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.location\\_type.​display\\_value\n\n</td><td>\n\nDisplay value of the location type.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.location\\_type.name\n\n</td><td id=\"reservableUnit_location_type_name-reserv-entry\">\n\nName of the location type, such as basement or storage. Same as display value.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.location\\_type.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Space Type \\[sn\\_wsd\\_core\\_space\\_type\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.name\n\n</td><td>\n\nName of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.number\n\n</td><td>\n\nUnique identifier of the reservable. This value is more human readable than the sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.order\n\n</td><td>\n\nOrder number for the reservable.Data type: Number\n\n</td></tr><tr><td>\n\nresult.reservableUnits.require\\_approval\n\n</td><td>\n\nFlag that indicates whether reserving the reservable requires an approval.Possible values:\n\n-   true: Approval required.\n-   false: Approval isn't required.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.requires\\_check\\_in\n\n</td><td>\n\nFlag that indicates whether the reservable requires the user to check in.Valid values:\n\n-   true: Check in required.\n-   false: Check in isn't required.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservable\\_purposes\n\n</td><td>\n\nDetails about the purpose for reserving the associated reservable.Data type: Array of Objects\n\n```\n\"reservable_purposes\": [\n  {\n    \"name\": \"String\",\n    \"short_description\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservable\\_purposes.​name\n\n</td><td>\n\nName of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservable\\_purposes.​short\\_description\n\n</td><td>\n\nBrief description of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservable\\_purposes.​sys\\_id\n\n</td><td>\n\nSys\\_id of the reservable purpose record.Data type: String\n\nTable: Reservable Purpose \\[sn\\_wsd\\_rsv\\_reservable\\_purpose\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations\n\n</td><td id=\"reservableUnit_reservations-reserv-entry\">\n\nDetails about the reservations associated with the reservable. Only populated if the **include\\_reservations\\_within\\_days** query parameter is true and the **reservation\\_ids** parameter contains reservation IDs, meaning there are reservations already present for this reservable.Data type: Array of Objects\n\n```\n\"reservations\": [\n  {\n    \"configuration_item\": \"String\",\n    \"end\": \"String\",\n    \"is_collided\": Boolean,\n    \"location\": {Object},\n    \"number\": \"String\",\n    \"requested_for\": {Object},\n    \"reservation_purpose\": {Object},\n    \"start\": \"String\",\n    \"state\": {Object},\n    \"subject\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"configuration_item-reserv-row\"><td>\n\nresult.reservableUnits.reservations.​configuration\\_item\n\n</td><td>\n\nConfiguration items corresponding to the reservation.Data type: String\n\nTable: Configuration Item \\[cmdb\\_ci\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.end\n\n</td><td>\n\nReservation end date and time.Data type: String\n\nFormat: UTC: yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z\n\n</td></tr><tr id=\"is_collided-reserv-row\"><td>\n\nresult.reservableUnits.reservations.is\\_collided\n\n</td><td>\n\nFlag that indicates whether the reservation collides with the start and end time of the search.This indicates that the associated reservable location is already reserved for the specified search timespan.\n\nPossible values:\n\n-   true: Collision.\n-   false: No collision.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.location\n\n</td><td id=\"reservableUnit_reservations_location-reserv-entry\">\n\nDetails about the location of the reservation.Data type: Object\n\n```\n\"location\": {\n  \"location\": \"String\",\n  \"timezone\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.location.​location\n\n</td><td>\n\nSys\\_id of the associated location record.Data type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.location.​timezone\n\n</td><td>\n\nDetails about the time zone associated with the location.Data type: Object\n\n```\n\"timezone\": {\n  \"displayValue\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.location.​timezone.displayValue\n\n</td><td>\n\nDisplay value for the time zone to which this location belongs.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.location.​timezone.value\n\n</td><td>\n\nInternal value for the time zone to which this location belongs.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.number\n\n</td><td>\n\nUnique identifier of the reservable. This value is more human readable than the sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.​requested\\_for\n\n</td><td>\n\nDetails about the person for whom the reservation was requested on behalf of.Data type: Object\n\n```\n\"requested_for\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.​requested\\_for.name\n\n</td><td>\n\nName of the user for whom the reservation was requested for.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.​requested\\_for.sys\\_id\n\n</td><td>\n\nSys\\_id of the user for whom the reservation is being requested.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.​reservation\\_purpose\n\n</td><td>\n\nDetails about the purpose of the reservation.Data type: Object\n\n```\n\"reservation_purpose\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.​reservation\\_purpose.display\\_value\n\n</td><td>\n\nDisplay value for the purpose of the reservation, such as Company meeting.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.​reservation\\_purpose.value\n\n</td><td>\n\nInternal value for the purpose of the reservation, such as company\\_meeting.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.start\n\n</td><td>\n\nReservation start date and time.Data type: String\n\nFormat: UTC - yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.state\n\n</td><td>\n\nDetails about the state of the reservation for the location.Data type: Object\n\n```\n\"state\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.state.​display\\_value\n\n</td><td>\n\nDisplay value for the current state of the reservation, such as confirmed.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.state.value\n\n</td><td>\n\nInternal value for the current state of the reservation, such as 2.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.subject\n\n</td><td>\n\nReservation's subject.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservations.sys\\_id\n\n</td><td>\n\nRequired. Sys\\_id of the reservation record.\n\nData type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservable\\_quantity\n\n</td><td>\n\nMaximum number of times the associated reservable can be reserved for the same time. This value is used when assigning neighborhood spaces to an area.Data type: Integer\n\n</td></tr><tr><td>\n\nresult.reservableUnits.showPrivacyOption\n\n</td><td>\n\nFlag that indicates whether an employee can override the privacy settings for the associated reservable.For additional information on these privacy settings, see [Location privacy settings and impact](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/location-privacy-settings-and-impact.md).\n\nValid values:\n\n-   true: Privacy settings can be overridden.\n-   false: Privacy setting can't be overridden.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.site\n\n</td><td>\n\nDetails about the site where the reservable resides.Data type: Object\n\n```\n\"site\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Site \\[sn\\_wsd\\_core\\_site\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.site.display\\_value\n\n</td><td>\n\nDisplay value of the site.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.site.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated site record.Data type: String\n\nTable: Site \\[sn\\_wsd\\_core\\_site\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.standard\\_services\n\n</td><td>\n\nAssociated standard services, such as flip chart, projector screen, and whiteboard and markers.\n\nData type: Array of Objects\n\n```\n\"standard_services\": [\n  {\n    \"font_awesome_icon\": \"String\",\n    \"name\": \"String\",\n    \"short_description\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.reservableUnits.standard\\_services.​font\\_awesome\\_icon\n\n</td><td>\n\nName of the thumbnail icon associated with the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.standard\\_services.name\n\n</td><td>\n\nName of the thumbnail icon associated with the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.standard\\_services.​short\\_description\n\n</td><td>\n\nBrief description of the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.standard\\_services.sys\\_id\n\n</td><td>\n\nSys\\_id of the standard service record.Data type: String\n\nTable: Standard Service \\[sn\\_wsd\\_rsv\\_standard\\_service\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.sys\\_id\n\n</td><td>\n\nSys\\_id of the reservable record.Data type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.tableName\n\n</td><td>\n\nName of the table in which the reservable record resides. Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.title\n\n</td><td>\n\nTitle of the reservable.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to call this endpoint.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_wsd_rsv/search/best_match?q=building%3D9e0364cedb3650106c731dcd1396192b&start=2023-01-04T07%3A00%3A00Z&time_slot=d5331cf2dbb5f01038e42b24ca961906&end=2023-01-04T17%3A00%3A00Z&best_match_count=1&reservable_module=2b636b7e1b4e60103523ff751a4bcbe2&timezone=Europe%2FAmsterdam\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"hasMore\": false,\n    \"reservableUnits\": [\n      {\n        \"sys_id\": \"fe1f744edb7650106c731dcd139619ca\",\n        \"external_id\": null,\n        \"email\": null,\n        \"name\": \"Aspen\",\n        \"title\": \"Aspen\",\n        \"description\": \"A room with large windows, dark leather seats and a large wooden table.\",\n        \"image\": {\n          \"sys_id\": \"41c74902dbb650106c731dcd13961944\",\n          \"link\": \"41c74902dbb650106c731dcd13961944.iix\"\n        },\n        \"number\": \"ROOM0000903\",\n        \"site\": {\n          \"sys_id\": \"628eec06db7650106c731dcd139619dd\",\n          \"display_value\": \"North America\"\n        },\n        \"campus\": {\n          \"sys_id\": \"82b2a0cedb3650106c731dcd139619e9\",\n          \"display_value\": \"California Campus\"\n        },\n        \"building\": {\n          \"sys_id\": \"94e264cedb3650106c731dcd13961919\",\n          \"display_value\": \"CAL-B1\"\n        },\n        \"floor\": {\n          \"sys_id\": \"2f554296dbba10106c731dcd139619ed\",\n          \"display_value\": \"Floor 2\"\n        },\n        \"area\": null,\n        \"capacity\": \"16\",\n        \"reservable_quantity\": null,\n        \"location_type\": {\n          \"sys_id\": \"20713b83eb512010b89bfdfc9c522899\",\n          \"display_value\": \"Room\",\n          \"name\": \"Room\"\n        },\n        \"order\": null,\n        \"requires_check_in\": null,\n        \"is_reservable\": \"1\",\n        \"tableName\": \"sn_wsd_core_room\",\n        \"require_approval\": false,\n        \"standard_services\": [\n          {\n            \"sys_id\": \"abd0c18edb7650106c731dcd13961965\",\n            \"name\": \"Projector screen\",\n            \"short_description\": \"Connect laptop to screen (HDMI and DVI)\",\n            \"font_awesome_icon\": \"fa-caret-square-o-right\"\n          }\n        ],\n        \"reservable_purposes\": [\n          {\n            \"sys_id\": \"18f4c3cd1ba4e01051848489cc4bcb82\",\n            \"name\": \"Board room\",\n            \"short_description\": null\n          }\n        ],\n        \"is_available\": true,\n        \"reservations\": [\n          {\n            \"sys_id\": \"5fe65830874bc9106342b846dabb352b\",\n            \"number\": \"WRES0001001\",\n            \"location\": {\n              \"location\": \"fe1f744edb7650106c731dcd139619ca\",\n              \"timezone\": {\n                \"value\": \"US/Pacific\",\n                \"displayValue\": \"US/Pacific\"\n              }\n            },\n            \"configuration_item\": null,\n            \"start\": \"2022-04-23T08:30:00Z\",\n            \"end\": \"2022-04-23T09:30:00Z\",\n            \"subject\": null,\n            \"reservation_purpose\": {\n              \"value\": \"meeting\",\n              \"display_value\": \"Meeting\"\n            },\n            \"state\": {\n              \"value\": \"confirmed\",\n              \"display_value\": \"Confirmed\"\n            },\n            \"is_collided\": false,\n            \"requested_for\": {\n              \"sys_id\": \"2de07e1887cb89106342b846dabb35fe\",\n              \"name\": \"Workplace User\"\n            }\n          },\n          {\n            \"sys_id\": \"af075c30874bc9106342b846dabb3572\",\n            \"number\": \"WRES0001002\",\n            \"location\": {\n              \"location\": \"fe1f744edb7650106c731dcd139619ca\",\n              \"timezone\": {\n                \"value\": \"US/Pacific\",\n                \"displayValue\": \"US/Pacific\"\n              }\n            },\n            \"configuration_item\": null,\n            \"start\": \"2022-04-23T23:00:00Z\",\n            \"end\": \"2022-04-24T00:00:00Z\",\n            \"subject\": null,\n            \"reservation_purpose\": {\n              \"value\": \"meeting\",\n              \"display_value\": \"Meeting\"\n            },\n            \"state\": {\n              \"value\": \"confirmed\",\n              \"display_value\": \"Confirmed\"\n            },\n            \"is_collided\": false,\n            \"requested_for\": {\n              \"sys_id\": \"2de07e1887cb89106342b846dabb35fe\",\n              \"name\": \"Workplace User\"\n            }\n          }\n        ],\n        \"availableTimes\": [\n          [\n            \"2022-04-23 07:00:00\",\n            \"2022-04-23 08:30:00\"\n          ],\n          [\n            \"2022-04-23 09:30:00\",\n            \"2022-04-23 23:00:00\"\n          ],\n          [\n            \"2022-04-24 00:00:00\",\n            \"2022-04-24 06:59:59\"\n          ]\n        ],\n        \"is_favorite\": false\n      }\n    ],\n    \"reservableContainers\": [],\n    \"nextItemIndex\": -1,\n    \"floorsOfSelectedBuilding\": [\n      {\n        \"sys_id\": \"2f554296dbba10106c731dcd139619ed\",\n        \"display_value\": \"Floor 2\",\n        \"external_id\": null,\n        \"name\": \"Floor 2\"\n      }\n    ]\n  }\n}{\n  \"result\": {\n    \"hasMore\": false,\n    \"reservableUnits\": [\n      {\n        \"sys_id\": \"32f2a98adb7210106c731dcd13961972\",\n        \"external_id\": null,\n        \"wsd_email\": null,\n        \"name\": \"B1-03-04\",\n        \"title\": \"B1-03-04\",\n        \"description\": \"Desk reserved for the Team-C. After 10am, free to reserve for everyone.\",\n        \"image\": {\n          \"sys_id\": \"57b42dcadb7210106c731dcd13961945\",\n          \"link\": \"57b42dcadb7210106c731dcd13961945.iix\"\n        },\n        \"number\": \"SPCE0009018\",\n        \"site\": {\n          \"sys_id\": \"b17220cedb3650106c731dcd1396197a\",\n          \"display_value\": \"Western Europe\"\n        },\n        \"campus\": {\n          \"sys_id\": \"44d2e0cedb3650106c731dcd13961988\",\n          \"display_value\": \"Amsterdam Campus\"\n        },\n        \"building\": {\n          \"sys_id\": \"9e0364cedb3650106c731dcd1396192b\",\n          \"display_value\": \"AMS-B1\"\n        },\n        \"floor\": {\n          \"sys_id\": \"5373a8cedb3650106c731dcd1396198a\",\n          \"display_value\": \"Floor 3\"\n        },\n        \"area\": {\n          \"sys_id\": \"410ff04edb7650106c731dcd13961973\",\n          \"display_value\": \"Desks C1\"\n        },\n        \"capacity\": \"1\",\n        \"reservable_quantity\": null,\n        \"location_type\": {\n          \"sys_id\": \"5f017383eb512010b89bfdfc9c5228c8\",\n          \"display_value\": \"Workspace/Desk\",\n          \"name\": \"Workspace/Desk\"\n        },\n        \"order\": null,\n        \"requires_check_in\": null,\n        \"is_reservable\": \"1\",\n        \"tableName\": \"sn_wsd_core_space\",\n        \"require_approval\": false,\n        \"is_available\": true,\n        \"reservations\": [],\n        \"availableTimes\": [\n          [\n            \"2023-01-04 07:00:00\",\n            \"2023-01-04 17:00:00\"\n          ]\n        ],\n        \"showPrivacyOption\": false,\n        \"defaultPrivacyValue\": false,\n        \"container\": {\n          \"sys_id\": \"410ff04edb7650106c731dcd13961973\",\n          \"display_value\": \"Desks C1\",\n          \"floor\": {\n            \"sys_id\": \"5373a8cedb3650106c731dcd1396198a\",\n            \"display_value\": \"Floor 3\",\n            \"name\": \"Floor 3\"\n          },\n          \"building\": {\n            \"sys_id\": \"9e0364cedb3650106c731dcd1396192b\",\n            \"display_value\": \"AMS-B1\",\n            \"name\": \"AMS-B1\"\n          },\n          \"campus\": {\n            \"sys_id\": \"44d2e0cedb3650106c731dcd13961988\",\n            \"display_value\": \"Amsterdam Campus\",\n            \"name\": \"Amsterdam Campus\"\n          },\n          \"capacity\": 6,\n          \"image\": {\n            \"sys_id\": \"d52c27b21b8e60103523ff751a4bcb49\",\n            \"link\": \"d52c27b21b8e60103523ff751a4bcb49.iix\"\n          }\n        },\n        \"includedInResult\": true,\n        \"is_favorite\": true\n      }\n    ],\n    \"reservableContainers\": [\n      {\n        \"sys_id\": \"410ff04edb7650106c731dcd13961973\",\n        \"display_value\": \"Desks C1\",\n        \"floor\": {\n          \"sys_id\": \"5373a8cedb3650106c731dcd1396198a\",\n          \"display_value\": \"Floor 3\",\n          \"name\": \"Floor 3\"\n        },\n        \"building\": {\n          \"sys_id\": \"9e0364cedb3650106c731dcd1396192b\",\n          \"display_value\": \"AMS-B1\",\n          \"name\": \"AMS-B1\"\n        },\n        \"campus\": {\n          \"sys_id\": \"44d2e0cedb3650106c731dcd13961988\",\n          \"display_value\": \"Amsterdam Campus\",\n          \"name\": \"Amsterdam Campus\"\n        },\n        \"capacity\": 6,\n        \"image\": {\n          \"sys_id\": \"d52c27b21b8e60103523ff751a4bcb49\",\n          \"link\": \"d52c27b21b8e60103523ff751a4bcb49.iix\"\n        }\n      }\n    ],\n    \"nextItemIndex\": -1,\n    \"floorsOfSelectedBuilding\": [\n      {\n        \"sys_id\": \"5373a8cedb3650106c731dcd1396198a\",\n        \"display_value\": \"Floor 3\",\n        \"external_id\": null,\n        \"name\": \"Floor 3\"\n      }\n    ]\n  }\n\n```\n\n## WSD Search - GET /api/sn\\_wsd\\_rsv/search/overlapping\\_reservation\n\nDetermines whether an overlapping reservation exists based on the passed parameters.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/search/overlapping_reservation`\n\nDefault URL: `/api/sn_wsd_rsv/search/overlapping_reservation`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nend\n\n</td><td>\n\nRequired. End time to use to check for overlapping reservations.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SSZ\n\n</td></tr><tr><td>\n\nrecurring\\_pattern\n\n</td><td>\n\nDetails about the recurring pattern for the reservation.Data type: Object\n\n```\n\"recurring_pattern\": {\n  \"duration\": Number,\n  \"options\": {Object},\n  \"repeats\": \"String\",\n  \"startDate\":\"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrecurring\\_pattern.duration\n\n</td><td>\n\nLength of time to check.Data type: Number\n\nUnit: Seconds\n\n</td></tr><tr><td>\n\nrecurring\\_pattern.options\n\n</td><td>\n\nDetails about the options associated with the recurring reservation.Data type: Object\n\n```\n\"options\": {\n  \"count\": Number,\n  \"daysOfWeek\": \"String\",\n  \"every\": Number\n}\n```\n\n</td></tr><tr><td>\n\nrecurring\\_pattern.options.count\n\n</td><td>\n\nNumber of times the pattern is repeated.Data type: Number\n\n</td></tr><tr><td>\n\nrecurring\\_pattern.options.daysOfWeek\n\n</td><td>\n\nDays of the week to check for overlap.Valid values:\n\n-   1 = Monday\n-   2 = Tuesday\n-   3 = Wednesday\n-   4 = Thursday\n-   5 = Friday\n-   6 = Saturday\n-   7 = Sunday\n\nFor example, to specify Tuesday, Thursday, and Friday, pass 245 \\(no delimiter\\).\n\nData type: String\n\n</td></tr><tr><td>\n\nrecurring\\_pattern.options.every\n\n</td><td>\n\nPattern repeat interval to check. For example, if this value is `2`, it checks the repeat pattern based on the selection in the **repeats** parameter, such as every other day or every other week.Data type: Number\n\n</td></tr><tr><td>\n\nrecurring\\_pattern.options.repeats\n\n</td><td>\n\nRepeating pattern for the reservation overlap check.Possible values: \\(case-sensitive\\)\n\n-   daily\n-   monthly\n-   weekly\n-   yearly\n\nData type: String\n\n</td></tr><tr><td>\n\nreservable\\_id\n\n</td><td>\n\nSys\\_id of the reservable module to check for overlapping reservations.Data type: String\n\nTable: Reservable Module \\[sn\\_wsd\\_rsv\\_reservable\\_module\\]\n\n</td></tr><tr><td>\n\nreservation\\_id\n\n</td><td>\n\nSys\\_id of the reservation to check for overlap. This value is needed in the edit flow of multi/group parents.Data type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nshift\\_info\\_object\n\n</td><td>\n\nDetails of the shift to check for overlap. For additional information on shift-based reservations, see [Enable shift-based reservation](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/wsd-reservation-setup.md).\n\nData type: Object\n\n```\n\"shift_info_object\": {\n  \"applyToShift\": Boolean,\n  \"shift\": \"String\",\n  \"timezone\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nshift\\_info\\_object.applyToShift\n\n</td><td>\n\nFlag that indicates whether shift-based reservations are enabled for the reservable module. Valid values:\n\n-   true: Allow shift-based reservations.\n-   false: Don't allow shift-based reservations.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nshift\\_info\\_object.shift\n\n</td><td>\n\nSys\\_id of the shift to associate with the reservation. If this parameter is passed in, the **end** parameter isn't required.Data type: String\n\nTable:Shift \\[sn\\_wsd\\_core\\_shift\\]\n\n</td></tr><tr><td>\n\nshift\\_info\\_object.timezone\n\n</td><td>\n\nTime zone of the shift to check for overlap.Data type: String\n\n</td></tr><tr><td>\n\nstart\n\n</td><td>\n\nRequired. Start time to use to check for overlapping reservations.Data type: String\n\nFormat: YYY-MM-DDTHH:MM:SSZ\n\n</td></tr><tr><td>\n\nuser\\_id\n\n</td><td>\n\nRequired. Sys\\_id of the user to check for overlapping reservations.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresults\n\n</td><td>\n\nDetails of the results of the overlap check.Data type: Object\n\n```\n\"results\": {\n  \"isOverlapped\": Boolean,\n  \"reservableId\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresults.isOverlapped\n\n</td><td>\n\nFlag that indicates whether an overlapping reservation exists. Valid values:\n\n-   true: Overlapping reservation exists.\n-   false: Overlapping reservation doesn’t exist.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresults.reservableId\n\n</td><td>\n\nIn the case of a group reservation, the sys\\_id of the reservable for which the overlap occurs.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to check for a reservation overlap for a specific user and for a specific period of time denoted by the **start** and **end** parameters.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/search/overlapping_reservation?user_id=2e617fecc3d365101e38b23bb00131ec&end=2023-06-19T8:00:00Z&start=2023-06-19T07:00:00Z\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n\"results\": {\n  \"isOverlapped\": True,\n  \"reservableId\": \"\"\n  }\n}\n```\n\n## WSD Search - GET /api/sn\\_wsd\\_rsv/search/reservable\n\nSearches for available reservable items using a specified reservable model configuration.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/search/reservable`\n\nDefault URL: `/api/sn_wsd_rsv/search/reservable`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nend\n\n</td><td id=\"end-query-reserv-entry\">\n\nRequired. End time to use to search for available reservable modules. This value must be later than the value specified in the **start** parameter.Data type: String\n\nFormat: UTC or local time \\(yyyy-mm-dd hh:mm:ss\\)\n\n</td></tr><tr><td>\n\nexclude\\_reservables\n\n</td><td>\n\nList of one or more sys\\_ids of reservables to exclude from the search results.Data type: String or Array\n\nTable: The table in which these sys\\_ids are located is specified in the reservable\\_table field in the Reservable Module \\[sn\\_wsd\\_rsv\\_reservable\\_module\\] table. It can be either the Space \\[sn\\_wsd\\_core\\_space\\] or Room \\[sn\\_wsd\\_core\\_room\\] table.\n\n</td></tr><tr><td>\n\nignore\\_same\\_day\\_validation\n\n</td><td id=\"ignore_same_day_validation-reserv-entry\">\n\nFlag that indicates whether the reservation search ignores the change of the date validation between the start and end parameters.Valid values:\n\n-   true: Ignore the change date validation.\n-   false: Don't ignore the change date validation.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ninclude\\_reservable\\_purposes\n\n</td><td id=\"include_reservable_purposes-reserv-entry\">\n\nFlag that indicates whether to return the purpose of reserving the workplace location for each reservable in the return results.Valid values:\n\n-   true: Return the reservable purposes.\n-   false: Don't return the reservable purposes.\n\nData type: Boolean\n\nDefault: false\n\nTable: Reservable Purpose \\[sn\\_wsd\\_rsv\\_reservable\\_purpose\\]\n\n</td></tr><tr><td>\n\ninclude\\_reservations\\_within\\_days\n\n</td><td id=\"include_reservations_within_days-reserv-entry\">\n\nFlag that indicates whether to return all free slots of available times in the response for each reservable for the whole day.Valid values:\n\n-   true: Return all free slots.\n-   false: Don't return all free slots.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ninclude\\_standard\\_​services\n\n</td><td id=\"include_standard_services-reserv-entry\">\n\nFlag that indicates whether to return the standard services information in the response. This information is located in the Standard Service \\[sn\\_wsd\\_rsv\\_standard\\_service\\] table.A standard service describes basic provisions available with a reservable workplace item when the reservation is made, such as white boards, additional monitors, and similar services. For additional information on standard services, see [Standard services](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/standard-service.md).\n\nValid values:\n\n-   true: Return the standard services information.\n-   false: Don't return the standard services information.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nnear\\_by\\_location\\_id\n\n</td><td>\n\nRequired if the **rsv\\_path** parameter is set to `browse_near_a_person`. Sys\\_id of the location to use in the encoded query.Data type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nneighborhood\n\n</td><td id=\"neighborhood-reserv-entry\">\n\nRequired if the `rsv_path` parameter is set to `browse_by_neighborhood`.\n\n Only available if the Space Management \\(sn\\_wsd\\_spc\\_mgmt\\_neighborhood\\) plugin is activated.\n\nSys\\_id of the neighborhood record to use in the encoded query.\n\nFor additional information on neighborhood space reservations, see [Create neighborhood reservations](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/create-neighborhood-reservations.md).\n\n Data type: String\n\n Table: Neighborhood \\[sn\\_wsd\\_spcmgmt\\_neighborhood\\]\n\n</td></tr><tr><td>\n\nnext\\_item\\_index\n\n</td><td>\n\nIndex of next item to retrieve. Pass this parameter when paginating the return results.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\npage\\_size\n\n</td><td>\n\nMaximum number of records to return in the return results.Data type: Number\n\nDefault: 6\n\n</td></tr><tr><td>\n\nq\n\n</td><td id=\"q-reserv-entry\">\n\nRequired. Encoded query to use to filter the search return results. Within this query you must specify the building sys\\_id and you can specify parameters such as floor, area, capacity, standard services, and reservable\\_purposes.All passed parameters must be sys\\_ids, except for capacity, which is a number.\n\nFor example: `q=building=94e264cedb3650106c731dcd13961919​^floorINfc7368cedb3650106c731dcd13961902​^capacity>=1​^standard_services=55c0818edb7650106c731dcd13961904​^reservable_purposes=d6e5c7cd1ba4e01051848489cc4bcb81`\n\nYou can locate this information in the following tables:\n\n-   Area: sn\\_wsd\\_core\\_area\n-   Building: sn\\_wsd\\_core\\_building\n-   Floor: sn\\_wsd\\_core\\_floor\n-   Reservable purposes: sn\\_wsd\\_rsv\\_reservable\\_purpose\n-   Standard services: sn\\_wsd\\_rsv\\_standard\\_service\n\nData type: String\n\n</td></tr><tr><td>\n\nreservable\\_module\n\n</td><td id=\"reservable_module-reserv-entry\">\n\nRequired. Sys\\_id of the reservable module to include in the search. A [reservable module](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/config-reservable-module.md) groups similar types of workplace items.Data type: String\n\nTable: Reservable Module \\[sn\\_wsd\\_rsv\\_reservable\\_module\\]\n\n</td></tr><tr><td>\n\nreservation\\_ids\n\n</td><td id=\"reservation_ids-reserv-entry\">\n\nComma-separated list of existing reservation sys\\_ids. Pass this parameter if you want to edit the associated reservations.The time blocked for these sys\\_ids for the corresponding reservables are treated as available.\n\nData type: String\n\nDefault: None\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nrsv\\_path\n\n</td><td>\n\nReservation path to apply to the search.Valid values:\n\n-   browse\\_all: Search all reservables.\n-   browse\\_by\\_area: Search the reservables near a specific location. An area identifier must be passed in the encoded query \\(**q** parameter\\).\n-   browse\\_by\\_neighborhood: Search the reservables near the neighborhood specified in the **neighborhood** parameter.\n-   browse\\_near\\_a\\_person: Search the reservables near the workplace location of the person specified in the **near\\_by\\_location\\_id** parameter.\n\nData type: String\n\nDefault: browse\\_all\n\n</td></tr><tr><td>\n\nschedule\\_view\\_obj\n\n</td><td id=\"schedule_view_obj-reserv-entry\">\n\nDetails about the schedule view to return. Pass this object if you need 24-hour availability data for reservations that span more than one day. The return results will only contain available times and reservations for the specified date.For this functionality to work properly, the parameters **ignore\\_same\\_day\\_validation** and **include\\_reservations\\_within\\_days** must be set to `true`.\n\nData type: Object\n\n```\n\"schedule_view_obj\": {\n  \"schedule_view_date\": \"String\",\n  \"timezone\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nschedule\\_view\\_obj.schedule\\_view\\_date\n\n</td><td id=\"schedule_view_obj-schedule_view_date-reserv-entry\">\n\nDate for which to start returning reservation availability. This date must be in the time zone specified in the **schedule\\_view\\_obj.timezone** parameter.Data type: String\n\nFormat: YYYY-MM-DD\n\n</td></tr><tr><td>\n\nschedule\\_view\\_obj.timezone\n\n</td><td id=\"schedule_view_obj-timezone-entry\">\n\nBuilding time zone to use to determine the reservation availability data to return. For example: US/Pacific.Data type: String\n\n</td></tr><tr><td>\n\nstart\n\n</td><td id=\"start-query-reserv-entry\">\n\nRequired. Start time to use to search for available reservable modules. This value must be prior to the value specified in the **end** parameter.Data type: String\n\nFormat: UTC or local time \\(yyyy-mm-dd hh:mm:ss\\)\n\n</td></tr><tr><td>\n\nshift\n\n</td><td id=\"shift-update_reserv-entry\">\n\nSys\\_id of the shift to associate with the reservation. If this parameter is passed in, the **end** parameter isn't required.\n\nFor additional information on shift-based reservations, see [Enable shift-based reservation](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/wsd-reservation-setup.md).\n\nData type: String\n\nTable: Shift \\[sn\\_wsd\\_core\\_shift\\]\n\n</td></tr><tr><td>\n\nsort\\_by\n\n</td><td>\n\nDesired sort order of the returned reservable items. Valid values:\n\n-   a\\_z: Ascending sort order.\n-   favorites\\_first: Sorted by the user's favorite workplace reservables first, ascending for the rest.\n-   z\\_a: Descending sort order.\n\nData type: String\n\nDefault: a\\_z\n\n</td></tr><tr><td>\n\ntimezone\n\n</td><td id=\"timezone_q_parm-reserv-query\">\n\nPreferred time zone, such as Europe/Amsterdam.Data type: String\n\nDefault: None\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-reserv-entry\">\n\nData format of the request body. Supported types: **application/json**, **application/xml** or, **text/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nReturn results for the specified search.Data type: Object\n\n```\n\"result\": { \n  \"filter\": {Object},\n  \"hasMore\": Boolean,\n  \"nextFavIndex\": Number,\n  \"nextItemIndex\": Number,\n  \"reservableContainers\": [Array],\n  \"reservableUnits\": [Array],\n  \"totalProcessed\": Number\n}\n```\n\n</td></tr><tr><td>\n\nresult.filter\n\n</td><td>\n\nDetails about the floors, standard services, and reservable purposes of the reservables. If the **include\\_standard\\_services** or **include\\_reservable\\_purposes** parameters are set to false, **standard\\_services** and **reservable\\_purposes** are empty arrays.Data type: Object\n\n```\n\"filter\": {\n   \"floors\": [Array],\n   \"reservable_purposes\": [Array],\n   \"standard_services\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nresult.filter.floors\n\n</td><td>\n\nDetails about the floor on which the reservable is located.\n\nData type: Object\n\n ```\n\"floors\": [\n  {\n    \"display_value\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.filter.floors.display\\_value\n\n</td><td>\n\nDisplay number of the floor on which the reservable resides, such as 12.Data type: String\n\n</td></tr><tr><td>\n\nresult.filter.floors.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.filter.standard\\_services\n\n</td><td>\n\nOnly populated if the **include\\_standard\\_services** parameter is set to true. Associated standard services, such as flip chart, projector screen, and whiteboard and markers.\n\nData type: Array of Objects\n\n```\n\"standard_services\": [\n  {\n    \"font_awesome_icon\": \"String\",\n    \"name\": \"String\",\n    \"short_description\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.filter.standard\\_services.​font\\_awesome\\_icon\n\n</td><td>\n\nName of the thumbnail icon associated with the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.filter.standard\\_services.name\n\n</td><td>\n\nName of the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.filter.standard\\_services.short\\_description\n\n</td><td>\n\nBrief description of the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.filter.standard\\_services.sys\\_id\n\n</td><td>\n\nSys\\_id of the standard service record.Data type: String\n\nTable: Standard Service \\[sn\\_wsd\\_rsv\\_standard\\_service\\]\n\n</td></tr><tr><td>\n\nresult.filter.reservable\\_purposes\n\n</td><td>\n\nDetails about the purpose for reserving the associated reservable.Data type: Array of Objects\n\n```\n\"reservable_purposes\": [\n  {\n    \"name\": \"String\",\n    \"short_description\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.filter.reservable\\_purposes.name\n\n</td><td>\n\nName of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.filter.reservable\\_purposes.​short\\_description\n\n</td><td>\n\nBrief description of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.filter.reservable\\_purposes.sys\\_id\n\n</td><td>\n\nSys\\_id of the reservable purpose record.Data type: String\n\nTable: Reservable Purpose \\[sn\\_wsd\\_rsv\\_reservable\\_purpose\\]\n\n</td></tr><tr><td>\n\nresult.hasMore\n\n</td><td id=\"hasMore-reserv-entry\">\n\nFlag that indicates whether there are more reservables in the return results.Possible values:\n\n-   true: More reservables available.\n-   false: No more reservables available.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.nextFavIndex\n\n</td><td>\n\nIndex for the next favorite reservable for the user. Use this value when paginating through the user's favorite reservables.Data type: Number\n\n</td></tr><tr><td>\n\nresult.nextItemIndex\n\n</td><td id=\"nextItemIndex-reserv-entry\">\n\nIndex for the next reservable record to fetch. Use this value when paginating through reservable records.Data type: Number\n\n</td></tr><tr><td>\n\nresult.reservableContainers\n\n</td><td id=\"reservableContainers-reserv-entry\">\n\nOnly returned for reservable modules whose selection\\_type field is set to `container`. A container is a grouping of similar items, such as a group of desks.Data type: Array of Objects\n\n```\n\"reservableContainers\": [\n  {\n    \"building\": {Object},\n    \"campus\": {Object},\n    \"capacity\": Number,\n    \"display_value\": \"String\",\n    \"floor\": {Object},\n    \"image\": {Object}\n    \"sys_id\": \"String\"\n  } \n]\n```\n\n</td></tr><tr><td>\n\nresult.reservableContainers.building\n\n</td><td id=\"reservableContainers_building-reserv-entry\">\n\nDetails about the building associated with the reservable container.Data type: Object\n\n```\n\"building\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservableContainers.building.​display\\_value\n\n</td><td>\n\nDisplay value for the building.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.building.name\n\n</td><td>\n\nName of the building.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.building.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated building record.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.campus\n\n</td><td id=\"reservableContainers_campus-reserv-entry\">\n\nDetails about the campus on which the reservable is located.\n\nData type: Object\n\n ```\n\"campus\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n Table: Campus \\[sn\\_wsd\\_core\\_campus\\]\n\n</td></tr><tr><td>\n\nresult.reservableContainers.campus.​display\\_value\n\n</td><td>\n\nDisplay number of the Campus on which the reservable resides, such as East Bay.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.campus.name\n\n</td><td>\n\nName of the campus.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.campus.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Campus \\[sn\\_wsd\\_core\\_campus\\]\n\n</td></tr><tr><td>\n\nresult.reservableContainers.capacity\n\n</td><td id=\"reservableContainers_capacity-reserv-entry\">\n\nMaximum number of occupants for the reservable.Data type: Number\n\n</td></tr><tr><td>\n\nresult.reservableContainers.display\\_value\n\n</td><td id=\"reservableContainers_display_value-reserv-entry\">\n\nDisplay value for the reservable container.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.floor\n\n</td><td id=\"reservableContainers_floor-reserv-entry\">\n\nDetails about the floor associated with the reservable container.Data type: Object\n\n```\n\"floor\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservableContainers.floor.​display\\_value\n\n</td><td>\n\nDisplay number of the floor on which the reservable resides, such as 12.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.floor.name\n\n</td><td>\n\nName of the floor on which the reservable resides.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.floor.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.reservableContainers.image\n\n</td><td>\n\nLink to an image that represents the layout for this reservable.Data type: String\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.reservableContainers.image.link\n\n</td><td>\n\nLink to an image that represents the layout for this reservable.Data type: String\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.reservableContainers.image.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated image record.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableContainers.sys\\_id\n\n</td><td id=\"reservableContainers_sys_id-reserv-container\">\n\nSys\\_id of the associated container record.Data type: String\n\nTable: The table in which this resides can be configured for any container type. By default it is in the Area \\[sn\\_wsd\\_core\\_area\\] table.\n\n</td></tr><tr><td>\n\nresult.reservableUnits\n\n</td><td id=\"reservableUnit-reserv-entry\">\n\nDetails about the reservable units that match the specified search criteria. A reservable unit is a single reservable item such as a desk or a chair.Data type: Array of Objects\n\n```\n\"reservableUnits\": [\n  {\n    \"area\": \"String\",\n    \"availableTimes\": [Array],\n    \"building\": {Object},\n    \"campus\": {Object},\n    \"capacity\": \"String\",\n    \"defaultPrivacyValue\": Boolean,\n    \"description\": \"String\",\n    \"email\": \"String\",\n    \"external_id\": \"String\",\n    \"floor\": {Object},\n    \"image\": {Object},\n    \"includedInResult\": Boolean,\n    \"is_available\": Boolean,\n    \"is_favorite\": Boolean,\n    \"is_reservable\": \"String\",\n    \"is_reserved\": Boolean,\n    \"is_selected\": Boolean,\n    \"location_type\": {Object},\n    \"name\": \"String\",\n    \"number\": \"String\",\n    \"order\": \"String\",\n    \"require_approval\": Boolean,\n    \"requires_check_in\": Boolean,\n    \"reservable_quantity\": \"String\",\n    \"showPrivacyOption\": Boolean,\n    \"site\": {Object},\n    \"standard_services\": [Array],\n    \"tableName\": \"String\",\n    \"title\": \"String\",\n    “reservable_purposes”: [Array],\n    \"reservations\": [Array],\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.reservableUnits.area\n\n</td><td id=\"reservableUnit_area-reserv-entry\">\n\nDetails about the area in which the reservable module is located.Data type: Object\n\n```\n\"area\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Area \\[sn\\_wsd\\_core\\_area\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.area.display\\_value\n\n</td><td id=\"reservableUnit_area_display_value-reserv-entry\">\n\nDisplay value for the reservable module area.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.area.sys\\_id\n\n</td><td id=\"reservableUnit_area_sys_id-reserv-entry\">\n\nSys\\_id of the area record associated with the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.availableTimes\n\n</td><td id=\"availableTimes-reserv-entry\">\n\nList of dates/times that the associated reservable is available.Data type: Array\n\n</td></tr><tr><td>\n\nresult.reservableUnits.building\n\n</td><td id=\"reservableUnit_building-reserv-entry\">\n\nDetails about the building in which the reservable is located.Data type: Object\n\n```\n\"building\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Building \\[sn\\_wsd\\_core\\_building\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.building.display\\_value\n\n</td><td>\n\nDisplay value for the building.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.building.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated building record.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.campus\n\n</td><td>\n\nDetails about the campus on which the reservable is located.\n\nData type: Object\n\n ```\n\"campus\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n Table: Campus \\[sn\\_wsd\\_core\\_campus\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.campus.display\\_value\n\n</td><td>\n\nDisplay number of the Campus on which the reservable resides, such as East Bay.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.campus.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Campus \\[sn\\_wsd\\_core\\_campus\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.capacity\n\n</td><td>\n\nMaximum number of occupants for the reservable.Data type: Number\n\n</td></tr><tr><td>\n\nresult.reservableUnits.description\n\n</td><td id=\"reservableUnit_description-reserv-entry\">\n\nBrief description of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.email\n\n</td><td id=\"reservableUnit_email-reserv-entry\">\n\nEmail address for the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.external\\_id\n\n</td><td id=\"reservableUnit_external_id-reserv-entry\">\n\nExternal ID of the reservable used to sync a space mapped in CMS. This value is only populated if there is a map associated with this location. Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.floor\n\n</td><td>\n\nDetails about the floor on which the reservable is located.\n\nData type: Object\n\n ```\n\"floor\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n Table: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.floor.display\\_value\n\n</td><td>\n\nDisplay number of the floor on which the reservable resides, such as 12.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.floor.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.image\n\n</td><td>\n\nDetails about an image that represents the layout for the associated reservable.Data type: Object\n\n```\n\"image\": {\n  \"link\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.image.link\n\n</td><td>\n\nLink to an image that represents the layout for this reservable.Data type: String\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.image.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated image record.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.includedInResult\n\n</td><td id=\"reservableUnit_includedInResult-reserv-entry\">\n\nFlag that indicates whether the current reservable is included in the return results.Valid values:\n\n-   true: Included in the return results.\n-   false: Not included in the return results.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.is\\_available\n\n</td><td id=\"is_available-reserv-entry\">\n\nFlag that indicates whether the reservable is available to reserve.Valid values:\n\n-   true: Available to reserve.\n-   false: Not available to reserve.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.is\\_favorite\n\n</td><td id=\"reservableUnit_is_favorite-reserv-entry\">\n\nFlag that indicates whether the reservable is flagged as one of the associated user's favorites.Valid values:\n\n-   true: Favorite.\n-   false: Not a favorite.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.is\\_reservable\n\n</td><td id=\"reservableUnit_is_reservable-reserv-entry\">\n\nFlag that indicates whether it's possible to reserve this reservable. **Note:** If the **include\\_unavailable\\_items** query parameter is set to true, unavailable locations are also returned. In this case, if a location is already reserved, then the **is\\_available** parameter is false, but **is\\_reservable** is true.\n\nValid values:\n\n-   true: Available to reserve.\n-   false: Not available to reserve.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.is\\_reserved\n\n</td><td id=\"reservableUnit_is_reserved-reserv-entry\">\n\nFlag that indicates whether the reservable is already reserved.Valid values:\n\n-   true: Available to reserve.\n-   false: Already reserved.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.is\\_selected\n\n</td><td id=\"reservableUnit_is_selected-reserv-entry\">\n\nFlag that indicates whether the reservable is already reserved.Valid values:\n\n-   true: Available to reserve.\n-   false: Already reserved.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.location\\_type\n\n</td><td id=\"reservableUnit_location_type-reserv-entry\">\n\nDetails about the type of location of the reservable, such as workplace/desk, cafe, or gym.Data type: Object\n\n```\n\"location_type\": {\n  \"display_value\": \"String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.location\\_type.​display\\_value\n\n</td><td>\n\nDisplay value of the location type.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.location\\_type.name\n\n</td><td id=\"reservableUnit_location_type_name-reserv-entry\">\n\nName of the location type, such as basement or storage. Same as display value.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.location\\_type.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Space Type \\[sn\\_wsd\\_core\\_space\\_type\\]\n\n</td></tr><tr><td>\n\nresult.reservableUnits.name\n\n</td><td>\n\nName of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.number\n\n</td><td>\n\nUnique identifier of the reservable. This value is more human readable than the sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.order\n\n</td><td>\n\nOrder number for the reservable.Data type: Number\n\n</td></tr><tr><td>\n\nresult.reservableUnits.require\\_approval\n\n</td><td>\n\nFlag that indicates whether reserving the reservable requires an approval.Possible values:\n\n-   true: Approval required.\n-   false: Approval isn't required.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.requires\\_check\\_in\n\n</td><td>\n\nFlag that indicates whether the reservable requires the user to check in.Valid values:\n\n-   true: Check in required.\n-   false: Check in isn't required.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservable\\_purposes\n\n</td><td>\n\nDetails about the purpose for reserving the associated reservable.Data type: Array of Objects\n\n```\n\"reservable_purposes\": [\n  {\n    \"name\": \"String\",\n    \"short_description\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservable\\_purposes.​name\n\n</td><td>\n\nName of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservable\\_purposes.​short\\_description\n\n</td><td>\n\nBrief description of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.reservableUnits.reservable\\_purposes.​sys\\_id\n\n</td><td>\n\nSys\\_id of the reservable purpose record.Data type: String\n\nTable: Reservable Purpose \\[sn\\_wsd\\_rsv\\_reservable\\_purpose\\]\n\n</td></tr><tr><td>\n\nresult.re
[...]
